---
title: List Tokens by mAccount
slug: api/list-tokens-by-maccount
docTags: 
createdAt: 2025-07-07T06:14:22.387Z
---

{
  "id": "YWRGuS0Qzu7rcSP_PPZnm",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.mpay.com.au/token/v1/list/{cardNumber}",
    "servers": [
      {
        "url": "https://api.mpay.com.au/token/v1/list/{cardNumber}",
        "description": "Production URL"
      },
      {
        "url": "https://api.m-pay.com.au/token/v1/list/{cardNumber}",
        "description": "Sandbox URL"
      }
    ],
    "name": "List Tokens by mAccount",
    "description": "<p>This API will return a list of all tokens associated with the provided Ledger, mWallet or mAccount.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "cardNumber",
          "type": "string",
          "description": ""
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "successful validation",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "tokenListResponse_V1",
            "schema": [
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "This is the status of the request. A code of 'Ok' indicates no errors.",
                "example": ""
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "This is a description of the status. If an 'Ok' status is returned, then this will be 'Operation completed successfully'.",
                "example": ""
              },
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 0
              },
              {
                "name": "tokens",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/tokenDetails",
                "customType": "tokenDetails[]",
                "schema": [
                  {
                    "name": "payloadType",
                    "kind": "optional",
                    "type": "string",
                    "description": "BPAY or AustralianBankAccount.",
                    "example": ""
                  },
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "description": "Text supplied when the tokenwas created.",
                    "example": ""
                  },
                  {
                    "name": "hint",
                    "kind": "optional",
                    "type": "string",
                    "description": "Text that gives sufficient information to allow the token to be selected but does not compromise security.",
                    "example": ""
                  },
                  {
                    "name": "token",
                    "kind": "optional",
                    "type": "string",
                    "description": "The text (GUID) that identifies the token.",
                    "example": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/tokenListResponse_V1",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "JK9m1qCNGM0Hk1hUQ-aYb",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.mpay.com.au/token/v1/list/{cardNumber} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "VNRuclqs1veE993MUQE_X",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.mpay.com.au/token/v1/list/{cardNumber}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "U95UQucHdrSYt1FoGR3CR",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.mpay.com.au/token/v1/list/{cardNumber}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "SiftXbdKmoHQZswwaojmB",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.mpay.com.au/token/v1/list/{cardNumber}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "JK9m1qCNGM0Hk1hUQ-aYb"
    },
    "results": {
      "languages": [
        {
          "id": "cvTpLHQCVHzE58XSLuiyM",
          "language": "200",
          "code": "// successful validation\n{\n  \"status\": \"\",\n  \"statusDescription\": \"\",\n  \"durationMs\": \"\",\n  \"tokens\": [\n    {\n      \"payloadType\": \"\",\n      \"description\": \"\",\n      \"hint\": \"\",\n      \"token\": \"\"\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "cvTpLHQCVHzE58XSLuiyM"
    }
  },
  "children": [
    {
      "id": "5IarhmKDF2T95BJCAtW-D",
      "type": "paragraph",
      "children": [
        {
          "text": "This API will return a list of all tokens associated with the provided Ledger, mWallet or mAccount."
        }
      ]
    }
  ]
}